webdevqa.jp.net

Androidスタジオでgradleを更新する方法

Android Studio 0.1.9をインストールしました。今日私は入手してバージョン0.2に更新し、そしてもちろん更新しました。インストールの後、私はAndroid Studioを再起動しました、しかし今私はこのメッセージを得ます:

プロジェクトは、Android Gradleプラグインの古いバージョンを使用しています。サポートされている最小バージョンは0.5.0です。依存関係 'com.Android.tools.build:gradle'のバージョンを更新してください。

それ、どうやったら出来るの? Androidスタジオでgradleプラグインのアップデートツールが見つかりません。

264
7heViking

ステップ1(デフォルトのgradleラッパーを使用)

ファイル→設定→ビルド、実行、展開→ビルドツール→Gradle→デフォルトのGradleラッパーを使用(推奨)

enter image description here

ステップ2(目的のgradleバージョンを選択)

ファイル→プロジェクト構造→プロジェクト

Gradle versions screenshot

次の表に、GradleのどのバージョンがGradle用Androidプラグインの特定のバージョンと互換性があるかを示します。 Compatibility table

Android St​​udio 3.4で使用できる最新の安定バージョン(2019年6月):

Android Plugin version: 3.4.2
Gradle version: 5.4.1

公式リンク

378
vovahost

これはOPの正確な答えではないかもしれませんが、質問のタイトルに対する答えです:Android Studio(AS)でGradleを更新する方法:

  • ASでサポートされている最新バージョンを入手する: http://www.gradle.org/downloads (現在1.9では、1.10はまだASでサポートされていません)
  • インストール:ASがインストールされている場所の近くのような場所に解凍します。C:\ Users [ユーザー名]\gradle-1.9 \
  • ASを開きます:ファイル - >設定 - > Gradle - >サービスディレクトリパス:(上記で設定したフォルダに変更します) - > OKをクリックします。一番下のステータスはそれがビジーであることを示し、エラーは修正されるべきです。 ASを再起動する必要があります
84
Kevin

android Studio v 3.0(安定版)のリリース後、 ポップアップが表示されます、gradle updateが利用可能であれば

OR

手動で、 トップレベル(プロジェクトレベル)のbuild.gradleファイル にあるgradleのバージョンを最新のものに変更するだけです。

   buildscript {
      ...
      dependencies {
        classpath 'com.Android.tools.build:gradle:3.0.0'
      }
    }

下の表をチェック

The Android Gradle Plugin and Gradle

 Android Gradle Plugin            Requires Gradle
 1.0.0 - 1.1.3                    2.2.1 - 2.3
 1.2.0 - 1.3.1                    2.2.1 - 2.9
 1.5.0   2.2.1+                   2.2.1 - 2.13
 2.0.0 - 2.1.2                    2.10  - 2.13
 2.1.3 - 2.2.3                    2.14.1+
 2.3.0+                           3.3+
 3.0.0+                           4.1+    
 3.1.0+                           4.4+    
 3.2.0 - 3.2.1                    4.6+    
 3.3.0 - 3.3.1                    4.10.1+ 

gradle revisions をチェック

43
Amit Vaghela

開く ファイル > プロジェクト構造 > プロジェクトタブ

enter image description here

Android Studioは プロジェクト構造 メニューを組み込み、現在のプロジェクトで使用されているgradleとプラグインをチェックおよび更新します。

以下のWebサイトでは、Android Studioの gradle および gradle plugin の更新方法について詳しく説明しています。

グラドルプラグインのAndroid Studioを更新

27
Jayakrishnan PM

まだこの問題を抱えている人は(例えば2.8.0から2.10.0に切り替えるなど)、file gradle-wrapper.properties に移動して、distributionUrlを設定してください。

distributionUrl=https\://services.gradle.org/distributions/gradle-2.10-all.Zip

私は2.8.0を2.10.0に変更し、その後同期することを忘れないでください

6
Cedriga

ルートのbuild.gradleファイルを開き、Gradleのバージョンをこのように変更してください。

旧バージョン:

 dependencies {
        classpath 'com.Android.tools.build:gradle:1.3.0'
    } 

新しいバージョン:

dependencies {
        classpath 'com.Android.tools.build:gradle:1.5.0'
    }

Gradleバージョンの互換性のために これを見てください。

5
Venu

Macでは、 terminal を開き、 指示 に従って次のコマンドを実行します。

$ curl -s https://get.sdkman.io | bash

それから

$ sdk install gradle 3.0

インストールが完了すると、端末はそれをデフォルトバージョンとして設定するかどうかを尋ねるので、yと入力してデフォルトバージョンにします。

Android Studio - > Terminal を開いて次のコマンドを実行してください。

Gradle --version
5
zeeawan

まだコメントできません。

Kevinと同じですが、UIステップが異なります。

これはOPの正確な答えではないかもしれませんが、質問のタイトルに対する答えです:Android Studio(AS)でGradleを更新する方法:

  • ASでサポートされている最新バージョンを入手する: http://www.gradle.org/downloads (現在1.9では、1.10はまだASでサポートされていません)
  • インストール:ASがインストールされている場所の近くのような場所に解凍します。C:\ Users [ユーザー名]\gradle-1.9 \
  • ASを開きます:ファイル - >設定 - >ビルド、実行、配置 - >ビルドツール - > Gradle - >サービスディレクトリパス:(上記で設定したフォルダに変更します) - > OKをクリックしてください。一番下のステータスはそれがビジーであることを示し、エラーは修正されるべきです。 ASを再起動する必要があります
2
QiMata

ファイル>設定>ビルド、実行、配置>ビルドツール> Gradle> Gradleホームパスに移動します。

では、デフォルトのグラドルラッパーを使用を設定し、Project\gradle\wrapper\gradle-wrapper.propertiesファイルのフィールドdistributionUrlを次のように編集します。

distributionUrl = https://services.gradle.org/distributions/gradle-2.10-all.Zip

2
Ashish Kapil

私のために私は私の資産フォルダからresフォルダに私のフォントフォルダをコピーし、Android Studioが大文字の名前を受け付けなかったので問題を引き起こしました。プロジェクトビューモードに切り替えて削除し、resフォルダを右クリックしてフォントリソースファイルとして追加しました。

0
fullMoon

わたしにはできる:

/home/your-user/.gradle/wrapper/dists/にアクセスしてください。

この中のすべてを削除

それはAndroidのスタジオに置き換えられます

ターミナルラン:イオンエミュレートAndroid

そのすべて...

0
Tom Costa

ほとんどの場合、Android Studioに自動的にGradleプラグインを更新させることができます。

Gradleプラグインのバージョンが遅れている場合、Instant Runはほとんどの場合機能しません。したがって、[インスタントラン]設定([設定]> [ビルド]、[実行]、[展開]> [インスタントラン])に移動すると、右上に[プロジェクトの更新]ボタンが表示されます(下の画像)。これをクリックすると、Gradleラッパーとビルドツールの両方が更新されます。 Update Project

0
Mehmet K